﻿
@{
    ViewBag.Title = "Products by Category";
}

<h2>Product List by Category</h2>

<hr />

<div ng-app="NYMITYModule">
    <div ng-controller="ProductController">


        <div>
            <table class="ui striped table">
                <thead>
                    <tr>
                        <th>
                            Name
                        </th>
                        <th>
                            Description
                        </th>
                        <th>
                            Action
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="category in categories">
                        <td ng-bind="category.CategoryName"></td>
                        <td ng-bind="category.Description"></td>
                        <td><button class="ui small button positive custom-button custom-button-agendamento" ng-click="getProductsByCategory(category.CategoryID)">Select</button></td>
                    </tr>
                </tbody>
            </table>
        </div>

        <hr />

        <div ng-hide="products.length == 0">
            <table class="ui striped table">
                <thead>
                    <tr>
                        <th>
                            Name
                        </th>
                        <th>
                            Supplier
                        </th>
                        <th>
                            Quantity Per Unit
                        </th>
                        <th>
                            Unit Price
                        </th>
                        <th>
                            Discontinued
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="product in products">
                        <td ng-bind="product.ProductName"></td>
                        <td ng-bind="product.Supplier.CompanyName"></td>
                        <td ng-bind="product.QuantityPerUnit"></td>
                        <td ng-bind="product.UnitPrice | CurrencyFilter"></td>
                        <td ng-bind="product.Discontinued | BooleanFilter"></td>
                    </tr>
                </tbody>
            </table>
        </div>


    </div>
</div>


@section scripts {

    <script src="~/Scripts/App/Controllers/ProductController.js"></script>
    <script src="~/Scripts/App/Filters/CurrencyFilter.js"></script>
    <script src="~/Scripts/App/Filters/BooleanFilter.js"></script>
}